diff --git a/server/stdinhand.c b/server/stdinhand.c
index 03c2f822b4..a1e1153b1a 100644
--- a/server/stdinhand.c
+++ b/server/stdinhand.c
@@ -3610,9 +3638,9 @@ static bool take_command(struct connection *caller, char *str, bool check)
   /* Now attach to new player */
   if ((res = connection_attach(pconn, pplayer, FALSE))) {
     /* Successfully attached */
-    pplayer = pconn->playing; /* In case pplayer was NULL. */
+    pplayer = pconn->playing; /* In case pplayer was nullptr. */
 
-    /* inform about the status before changes */
+    /* Inform about the status before changes */
     cmd_reply(CMD_TAKE, caller, C_OK, _("%s now controls %s (%s, %s)."),
               pconn->username,
               player_name(pplayer),
@@ -3630,19 +3658,20 @@ static bool take_command(struct connection *caller, char *str, bool check)
               pconn->username);
   }
 
-  end:;
-  /* free our args */
+ end:
+  /* Free our args */
   for (i = 0; i < ntokens; i++) {
     free(arg[i]);
   }
+
   return res;
 }
 
 /**********************************************************************//**
-  Detach from a player. if that player wasn't /created and you were
+  Detach from a player. If that player wasn't /created and you were
   controlling the player, remove it (and then detach any observers as well).
 
-  If called for a global observer connection (where pconn->playing is NULL)
+  If called for a global observer connection (where pconn->playing is nullptr)
   then it will correctly detach from observing mode.
 **************************************************************************/
 static bool detach_command(struct connection *caller, char *str, bool check)
@@ -3650,8 +3679,8 @@ static bool detach_command(struct connection *caller, char *str, bool check)
   int i = 0, ntokens = 0;
   char buf[MAX_LEN_CONSOLE_LINE], *arg[1];
   enum m_pre_result match_result;
-  struct connection *pconn = NULL;
-  struct player *pplayer = NULL;
+  struct connection *pconn = nullptr;
+  struct player *pplayer = nullptr;
   bool res = FALSE;
 
   sz_strlcpy(buf, str);
@@ -3663,31 +3692,31 @@ static bool detach_command(struct connection *caller, char *str, bool check)
     goto end;
   }
 
-  /* match the connection if the argument was given */
-  if (ntokens == 1 
+  /* Match the connection if the argument was given */
+  if (ntokens == 1
       && !(pconn = conn_by_user_prefix(arg[0], &match_result))) {
     cmd_reply_no_such_conn(CMD_DETACH, caller, arg[0], match_result);
     goto end;
   }
 
-  /* if no argument is given, the caller wants to detach themself */
+  /* If no argument is given, the caller wants to detach themself */
   if (!pconn) {
     pconn = caller;
   }
 
-  /* if pconn and caller are not the same, only continue 
+  /* If pconn and caller are not the same, only continue
    * if we're console, or we have ALLOW_HACK */
   if (pconn != caller  && caller && caller->access_level != ALLOW_HACK) {
-    cmd_reply(CMD_DETACH, caller, C_FAIL, 
+    cmd_reply(CMD_DETACH, caller, C_FAIL,
                 _("You can not detach other users."));
     goto end;
   }
 
   pplayer = pconn->playing;
 
-  /* must have someone to detach from... */
+  /* Must have someone to detach from... */
   if (!pplayer && !pconn->observer) {
-    cmd_reply(CMD_DETACH, caller, C_FAIL, 
+    cmd_reply(CMD_DETACH, caller, C_FAIL,
               _("%s is not attached to any player."), pconn->username);
     goto end;
   }
@@ -3714,19 +3743,20 @@ static bool detach_command(struct connection *caller, char *str, bool check)
     if (!fc_strncmp(aplayer->username, pconn->username, MAX_LEN_NAME)) {
       sz_strlcpy(aplayer->username, _(ANON_USER_NAME));
       aplayer->unassigned_user = TRUE;
-      send_player_info_c(aplayer, NULL);
+      send_player_info_c(aplayer, nullptr);
     }
   } players_iterate_end;
 
   check_for_full_turn_done();
 
-  end:
+ end:
   fc_assert_ret_val(ntokens <= 1, FALSE);
 
-  /* free our args */
+  /* Free our args */
   for (i = 0; i < ntokens; i++) {
     free(arg[i]);
   }
+
   return res;
 }
 
@@ -3734,7 +3764,7 @@ static bool detach_command(struct connection *caller, char *str, bool check)
   Loads a file, complete with access checks and error messages sent back
   to the caller on failure.
 
-  * caller is the connection requesting the load, or NULL for a
+  * caller is the connection requesting the load, or nullptr for a
     command-line load. Error messages are sent back to the caller and
     an access check is done to make sure they are allowed to load.
 
@@ -3780,12 +3810,12 @@ bool load_command(struct connection *caller, const char *filename, bool check,
     /* It is a normal savegame or maybe a scenario */
     char testfile[MAX_LEN_PATH];
     const struct strvec *paths[] = {
-      get_save_dirs(), get_scenario_dirs(), NULL
+      get_save_dirs(), get_scenario_dirs(), nullptr
     };
     const char *exts[] = {
-      "sav", "gz", "bz2", "xz", "sav.gz", "sav.bz2", "sav.xz", "sav.zst", NULL
+      "sav", "gz", "bz2", "xz", "sav.gz", "sav.bz2", "sav.xz", "sav.zst", nullptr
     };
-    const char **ext, *found = NULL;
+    const char **ext, *found = nullptr;
     const struct strvec **path;
 
     if (cmdline_load) {
@@ -3797,7 +3827,7 @@ bool load_command(struct connection *caller, const char *filename, bool check,
        * directory. */
       for (path = paths; !found && *path; path++) {
         found = fileinfoname(*path, filename);
-        if (found != NULL) {
+        if (found != nullptr) {
           sz_strlcpy(arg, found);
         }
       }
@@ -3807,7 +3837,7 @@ bool load_command(struct connection *caller, const char *filename, bool check,
       for (ext = exts; !found && *ext; ext++) {
         fc_snprintf(testfile, sizeof(testfile), "%s.%s", filename, *ext);
         found = fileinfoname(*path, testfile);
-        if (found != NULL) {
+        if (found != nullptr) {
           sz_strlcpy(arg, found);
         }
       }
@@ -3824,7 +3854,7 @@ bool load_command(struct connection *caller, const char *filename, bool check,
     }
   }
 
-  /* attempt to parse the file */
+  /* Attempt to parse the file */
 
   if (!(file = secfile_load(arg, FALSE))) {
     log_error("Error loading savefile '%s': %s", arg, secfile_error());
@@ -3841,7 +3871,7 @@ bool load_command(struct connection *caller, const char *filename, bool check,
   /* Detach current players, before we blow them away. */
   global_observers = conn_list_new();
   conn_list_iterate(game.est_connections, pconn) {
-    if (pconn->playing != NULL) {
+    if (pconn->playing != nullptr) {
       connection_detach(pconn, TRUE);
     } else if (pconn->observer) {
       conn_list_append(global_observers, pconn);
@@ -3887,12 +3917,12 @@ bool load_command(struct connection *caller, const char *filename, bool check,
 
   /* Send information about the new players. */
   player_info_thaw();
-  send_player_diplstate_c(NULL, NULL);
+  send_player_diplstate_c(nullptr, nullptr);
 
   /* Everything seemed to load ok; spread the good news. */
   dlsend_packet_game_load(game.est_connections, TRUE, srvarg.load_filename);
 
-  /* Attach connections to players. Currently, this applies only 
+  /* Attach connections to players. Currently, this applies only
    * to connections that have the same username as a player. */
   conn_list_iterate(game.est_connections, pconn) {
     players_iterate(pplayer) {
@@ -3905,9 +3935,9 @@ bool load_command(struct connection *caller, const char *filename, bool check,
 
   /* Reattach global observers. */
   conn_list_iterate(global_observers, pconn) {
-    if (NULL == pconn->playing) {
+    if (pconn->playing == nullptr) {
       /* May have been assigned to a player before. */
-      connection_attach(pconn, NULL, TRUE);
+      connection_attach(pconn, nullptr, TRUE);
     }
   } conn_list_iterate_end;
   conn_list_destroy(global_observers);
@@ -3944,14 +3974,14 @@ bool set_rulesetdir(struct connection *caller, const char *str, bool check,
   char filename[512];
   const char *pfilename;
 
-  if (NULL == str || '\0' == str[0]) {
+  if (str == nullptr || '\0' == str[0]) {
     cmd_reply(CMD_RULESETDIR, caller, C_SYNTAX,
               _("You must provide a ruleset name. Use \"/show ruleset\" to "
                 "see what is the current ruleset."));
     return FALSE;
   }
 
-  if (srvarg.ruleset != NULL && is_restricted(caller)) {
+  if (srvarg.ruleset != nullptr && is_restricted(caller)) {
     cmd_reply(CMD_RULESETDIR, caller, C_FAIL,
               _("Changing ruleset not allowed. It was locked from the commandline."));
 
@@ -3964,7 +3994,7 @@ bool set_rulesetdir(struct connection *caller, const char *str, bool check,
     if (game.scenario.is_scenario && !game.scenario.ruleset_locked
         && !game_was_started()) {
       cmd_reply(CMD_RULESETDIR, caller, C_FAIL,
-                /* TRANS: scenario name */
+                /* TRANS: Scenario name */
                 _("The ruleset of \"%s\" can be changed by switching to a"
                   " compatible ruleset before loading it."),
                 game.scenario.name);
@@ -4002,9 +4032,9 @@ bool set_rulesetdir(struct connection *caller, const char *str, bool check,
     log_verbose("set_rulesetdir() does load_rulesets() with \"%s\"", str);
     sz_strlcpy(game.server.rulesetdir, str);
 
-    /* load the ruleset (and game settings defined in the ruleset) */
+    /* Load the ruleset (and game settings defined in the ruleset) */
     player_info_freeze();
-    if (!load_rulesets(old, NULL, FALSE, NULL, TRUE, FALSE, TRUE)) {
+    if (!load_rulesets(old, nullptr, FALSE, nullptr, TRUE, FALSE, TRUE)) {
       success = FALSE;
 
       /* While loading of the requested ruleset failed, we might
@@ -4017,12 +4047,12 @@ bool set_rulesetdir(struct connection *caller, const char *str, bool check,
        * connected clients. */
       send_rulesets(game.est_connections);
     }
-    /* show ruleset summary and list changed values */
+    /* Show ruleset summary and list changed values */
     show_ruleset_info(caller, CMD_RULESETDIR, check, read_recursion);
     player_info_thaw();
 
     if (success) {
-      cmd_reply(CMD_RULESETDIR, caller, C_OK, 
+      cmd_reply(CMD_RULESETDIR, caller, C_OK,
                 _("Ruleset directory set to \"%s\""), str);
     } else {
       cmd_reply(CMD_RULESETDIR, caller, C_SYNTAX,
@@ -4044,14 +4074,14 @@ static bool ignore_command(struct connection *caller, char *str, bool check)
   char buf[128];
   struct conn_pattern *ppattern;
 
-  if (NULL == caller) {
+  if (caller == nullptr) {
     cmd_reply(CMD_IGNORE, caller, C_FAIL,
               _("That would be rather silly, since you are not a player."));
     return FALSE;
   }
 
   ppattern = conn_pattern_from_string(str, CPT_USER, buf, sizeof(buf));
-  if (NULL == ppattern) {
+  if (ppattern == nullptr) {
     cmd_reply(CMD_IGNORE, caller, C_SYNTAX,
               _("%s. Try /help ignore"), buf);
     return FALSE;
@@ -4168,7 +4198,7 @@ static bool playercolor_command(struct connection *caller,
 {
   enum m_pre_result match_result;
   struct player *pplayer;
-  struct rgbcolor *prgbcolor = NULL;
+  struct rgbcolor *prgbcolor = nullptr;
   int ntokens = 0;
   char *token[2];
   bool ret = TRUE;
@@ -4192,6 +4222,7 @@ static bool playercolor_command(struct connection *caller,
 
   {
     const char *reason;
+
     if (!player_color_changeable(pplayer, &reason)) {
       cmd_reply(CMD_PLAYERCOLOR, caller, C_FAIL, "%s", reason);
       ret = FALSE;
@@ -4201,7 +4232,7 @@ static bool playercolor_command(struct connection *caller,
 
   if (0 == fc_strcasecmp(token[1], "reset")) {
     if (!game_was_started()) {
-      prgbcolor = NULL;
+      prgbcolor = nullptr;
     } else {
       cmd_reply(CMD_PLAYERCOLOR, caller, C_FAIL,
                 _("Can only unset player color before game starts."));
@@ -4215,9 +4246,9 @@ static bool playercolor_command(struct connection *caller,
     goto cleanup;
   }
 
-  if (prgbcolor != NULL) {
+  if (prgbcolor != nullptr) {
     players_iterate(pother) {
-      if (pother != pplayer && pother->rgb != NULL
+      if (pother != pplayer && pother->rgb != nullptr
           && rgbcolors_are_equal(pother->rgb, prgbcolor)) {
         cmd_reply(CMD_PLAYERCOLOR, caller, C_WARNING,
                   /* TRANS: "... [c0ffee] for Caesar ... to Hammurabi." */
@@ -4238,7 +4269,6 @@ static bool playercolor_command(struct connection *caller,
             player_color_ftstr(pplayer));
 
  cleanup:
-
   rgbcolor_destroy(prgbcolor);
   free_tokens(token, ntokens);
 
@@ -4411,7 +4441,7 @@ bool handle_stdin_input_free(struct connection *caller, char *str)
 /**********************************************************************//**
   Handle "command input", which could really come from stdin on console,
   or from client chat command, or read from file with -r, etc.
-  caller == NULL means console, str is the input, which may optionally
+  caller == nullptr means console, str is the input, which may optionally
   start with SERVER_COMMAND_PREFIX character.
 
   If check is TRUE, then do nothing, just check syntax.
@@ -4444,19 +4474,19 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
   }
   remove_trailing_spaces(cptr_s);
 
-  /* notify to the server console */
+  /* Notify to the server console */
   if (!check && caller) {
     con_write(C_COMMENT, "%s: '%s'", caller->username, str);
   }
 
-  /* if the caller may not use any commands at all, don't waste any time */
+  /* If the caller may not use any commands at all, don't waste any time */
   if (may_use_nothing(caller)) {
     cmd_reply(CMD_HELP, caller, C_FAIL,
-	_("Sorry, you are not allowed to use server commands."));
-     return FALSE;
+              _("Sorry, you are not allowed to use server commands."));
+    return FALSE;
   }
 
-  /* copy the full command, in case we need it for voting purposes. */
+  /* Copy the full command, in case we need it for voting purposes. */
   sz_strlcpy(full_command, cptr_s);
 
   /*
@@ -4477,9 +4507,9 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
   if (cmd == CMD_AMBIGUOUS) {
     cmd = command_named(command, TRUE);
     cmd_reply(cmd, caller, C_SYNTAX,
-	_("Warning: '%s' interpreted as '%s', but it is ambiguous."
-	  "  Try '%shelp'."),
-	command, command_name_by_number(cmd), caller?"/":"");
+              _("Warning: '%s' interpreted as '%s', but it is ambiguous."
+                "  Try '%shelp'."),
+              command, command_name_by_number(cmd), caller?"/":"");
   } else if (cmd == CMD_UNRECOGNIZED) {
     cmd_reply(cmd, caller, C_SYNTAX, _("Unknown command '%s%s'. "
                                        " Try '%shelp'."),
@@ -4489,11 +4519,11 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
 
   level = command_level(command_by_number(cmd));
 
-  if (conn_can_vote(caller, NULL) && level == ALLOW_CTRL
+  if (conn_can_vote(caller, nullptr) && level == ALLOW_CTRL
       && conn_get_access(caller) == ALLOW_BASIC && !check
       && !vote_would_pass_immediately(caller, cmd)) {
     struct vote *vote;
-    bool caller_had_vote = (NULL != get_vote_by_caller(caller));
+    bool caller_had_vote = (get_vote_by_caller(caller) != nullptr);
 
     /* Check if the vote command would succeed. If we already have a vote
      * going, cancel it in favour of the new vote command. You can only
@@ -4522,10 +4552,10 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
       } else {
         /* TRANS: "vote" as a process */
         what = _("New vote");
-        teamplr = NULL;
+        teamplr = nullptr;
         color = ftc_vote_public;
       }
-      notify_team(teamplr, NULL, E_VOTE_NEW, color,
+      notify_team(teamplr, nullptr, E_VOTE_NEW, color,
                   /* TRANS: "[New vote|New teamvote] (number 3)
                    * by fred: proposed change" */
                   _("%s (number %d) by %s: %s"), what,
@@ -4550,12 +4580,12 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
            && level == ALLOW_CTRL)
       && conn_get_access(caller) < level) {
     cmd_reply(cmd, caller, C_FAIL,
-	      _("You are not allowed to use this command."));
+              _("You are not allowed to use this command."));
     return FALSE;
   }
 
   if (!check) {
-    struct conn_list *echo_list = NULL;
+    struct conn_list *echo_list = nullptr;
     bool echo_list_allocated = FALSE;
 
     switch (command_echo(command_by_number(cmd))) {
@@ -4564,7 +4594,7 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
     case CMD_ECHO_ADMINS:
       conn_list_iterate(game.est_connections, pconn) {
         if (ALLOW_ADMIN <= conn_get_access(pconn)) {
-          if (NULL == echo_list) {
+          if (echo_list == nullptr) {
             echo_list = conn_list_new();
             echo_list_allocated = TRUE;
           }
@@ -4577,12 +4607,12 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
       break;
     }
 
-    if (NULL != echo_list) {
+    if (echo_list != nullptr) {
       if (caller) {
-        notify_conn(echo_list, NULL, E_SETTING, ftc_any,
+        notify_conn(echo_list, nullptr, E_SETTING, ftc_any,
                     "%s: '%s %s'", caller->username, command, arg);
       } else {
-        notify_conn(echo_list, NULL, E_SETTING, ftc_server_prompt,
+        notify_conn(echo_list, nullptr, E_SETTING, ftc_server_prompt,
                     "%s: '%s %s'", _("(server prompt)"), command, arg);
       }
       if (echo_list_allocated) {
@@ -4682,7 +4712,7 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
     return lock_command(caller, arg, check);
   case CMD_UNLOCK:
     return unlock_command(caller, arg, check);
-  case CMD_RFCSTYLE:	/* see console.h for an explanation */
+  case CMD_RFCSTYLE:    /* See console.h for an explanation */
     if (!check) {
       con_set_style(!con_get_style());
     }
@@ -4712,8 +4742,9 @@ static bool handle_stdin_input_real(struct connection *caller, char *str,
   case CMD_AMBIGUOUS:
     break;
   }
-  /* should NEVER happen! */
+  /* Should NEVER happen! */
   log_error("Unknown command variant: %d.", cmd);
+
   return FALSE;
 }
 
@@ -4726,7 +4757,7 @@ static bool end_command(struct connection *caller, char *str, bool check)
     if (check) {
       return TRUE;
     }
-    notify_conn(game.est_connections, NULL, E_GAME_END, ftc_server,
+    notify_conn(game.est_connections, nullptr, E_GAME_END, ftc_server,
                 _("Game is over."));
     set_server_state(S_S_OVER);
     force_end_of_sniff = TRUE;
@@ -4735,7 +4766,7 @@ static bool end_command(struct connection *caller, char *str, bool check)
                 "have disconnected."));
     return TRUE;
   } else {
-    cmd_reply(CMD_END_GAME, caller, C_FAIL, 
+    cmd_reply(CMD_END_GAME, caller, C_FAIL,
               _("Cannot end the game: no game running."));
     return FALSE;
   }
@@ -4749,7 +4780,7 @@ static bool surrender_command(struct connection *caller, char *str, bool check)
 {
   struct player *pplayer;
 
-  if (caller == NULL || !conn_controls_player(caller)) {
+  if (caller == nullptr || !conn_controls_player(caller)) {
     cmd_reply(CMD_SURRENDER, caller, C_FAIL,
               _("You are not allowed to use this command."));
     return FALSE;
@@ -4771,10 +4802,11 @@ static bool surrender_command(struct connection *caller, char *str, bool check)
     return TRUE;
   }
 
-  notify_conn(game.est_connections, NULL, E_GAME_END, ftc_server,
+  notify_conn(game.est_connections, nullptr, E_GAME_END, ftc_server,
               _("%s has conceded the game and can no longer win."),
               player_name(pplayer));
   player_status_add(pplayer, PSTATUS_SURRENDER);
+
   return TRUE;
 }
 
@@ -4796,6 +4828,7 @@ static bool surrender_command(struct connection *caller, char *str, bool check)
 static const char *reset_accessor(int i)
 {
   i = CLIP(0, i, reset_args_max());
+
   return reset_args_name((enum reset_args) i);
 }
 
@@ -4809,18 +4842,18 @@ static bool reset_command(struct connection *caller, char *arg, bool check,
   enum m_pre_result result;
   int ind;
 
-  /* match the argument */
+  /* Match the argument */
   result = match_prefix(reset_accessor, reset_args_max() + 1, 0,
-                        fc_strncasecmp, NULL, arg, &ind);
+                        fc_strncasecmp, nullptr, arg, &ind);
 
   switch (result) {
   case M_PRE_EXACT:
   case M_PRE_ONLY:
-    /* we have a match */
+    /* We have a match */
     break;
   case M_PRE_AMBIGUOUS:
   case M_PRE_EMPTY:
-    /* use 'ruleset' [1] if the game was not started; else use 'game' [2] */
+    /* Use 'ruleset' [1] if the game was not started; else use 'game' [2] */
     if (S_S_INITIAL == server_state() && game.info.is_new_game) {
       cmd_reply(CMD_RESET, caller, C_WARNING,
                 _("Guessing argument 'ruleset'."));
@@ -4879,10 +4912,10 @@ static bool reset_command(struct connection *caller, char *arg, bool check,
                 "script."));
     settings_reset();
     /* Load initial script */
-    if (NULL != srvarg.script_filename
-        && !read_init_script_real(NULL, srvarg.script_filename, TRUE, FALSE,
+    if (srvarg.script_filename != nullptr
+        && !read_init_script_real(nullptr, srvarg.script_filename, TRUE, FALSE,
                                   read_recursion + 1)) {
-      if (NULL != caller) {
+      if (caller != nullptr) {
         cmd_reply(CMD_RESET, caller, C_FAIL,
                   _("Could not read script file '%s'."),
                   srvarg.script_filename);
@@ -4901,7 +4934,7 @@ static bool reset_command(struct connection *caller, char *arg, bool check,
   send_server_settings(game.est_connections);
   cmd_reply(CMD_RESET, caller, C_OK, _("Settings re-initialized."));
 
-  /* show ruleset summary and list changed values */
+  /* Show ruleset summary and list changed values */
   show_ruleset_info(caller, CMD_RESET, check, read_recursion);
 
   return TRUE;
@@ -4956,6 +4989,7 @@ static bool default_command(struct connection *caller, char *arg, bool check)
 static const char *lua_accessor(int i)
 {
   i = CLIP(0, i, lua_args_max());
+
   return lua_args_name((enum lua_args) i);
 }
 
@@ -4966,9 +5000,9 @@ static bool lua_command(struct connection *caller, char *arg, bool check,
                         int read_recursion)
 {
   struct stat statbuf;
-  const char extension[] = ".lua", *real_filename = NULL;
+  const char extension[] = ".lua", *real_filename = nullptr;
   char luafile[4096], tilde_filename[4096];
-  char *tokens[1], *luaarg = NULL;
+  char *tokens[1], *luaarg = nullptr;
   int ntokens, ind;
   enum m_pre_result result;
   bool ret = FALSE;
@@ -4976,9 +5010,9 @@ static bool lua_command(struct connection *caller, char *arg, bool check,
   ntokens = get_tokens(arg, tokens, 1, TOKEN_DELIMITERS);
 
   if (ntokens > 0) {
-    /* match the argument */
+    /* Match the argument */
     result = match_prefix(lua_accessor, lua_args_max() + 1, 0,
-                          fc_strncasecmp, NULL, tokens[0], &ind);
+                          fc_strncasecmp, nullptr, tokens[0], &ind);
 
     switch (result) {
     case M_PRE_EXACT:
@@ -5004,7 +5038,7 @@ static bool lua_command(struct connection *caller, char *arg, bool check,
     }
   }
 
-  if (luaarg == NULL) {
+  if (luaarg == nullptr) {
     cmd_reply(CMD_LUA, caller, C_FAIL,
               _("No lua command or lua script file. See '%shelp lua'."),
               caller ? "/" : "");
@@ -5123,6 +5157,7 @@ static bool lua_command(struct connection *caller, char *arg, bool check,
 
  cleanup:
   free_tokens(tokens, ntokens);
+
   return ret;
 }
 
@@ -5158,10 +5193,10 @@ static bool delegate_command(struct connection *caller, char *arg,
   char *tokens[3];
   int ntokens, ind = delegate_args_invalid();
   enum m_pre_result result;
-  bool player_specified = FALSE; /* affects messages only */
+  bool player_specified = FALSE; /* Affects messages only */
   bool ret = FALSE;
-  const char *username = NULL;
-  struct player *dplayer = NULL;
+  const char *username = nullptr;
+  struct player *dplayer = nullptr;
 
   if (!game_was_started()) {
     cmd_reply(CMD_DELEGATE, caller, C_FAIL, _("Game not started - "
@@ -5172,14 +5207,14 @@ static bool delegate_command(struct connection *caller, char *arg,
   ntokens = get_tokens(arg, tokens, 3, TOKEN_DELIMITERS);
 
   if (ntokens > 0) {
-    /* match the argument */
+    /* Match the argument */
     result = match_prefix(delegate_accessor, delegate_args_max() + 1, 0,
-                          fc_strncasecmp, NULL, tokens[0], &ind);
+                          fc_strncasecmp, nullptr, tokens[0], &ind);
 
     switch (result) {
     case M_PRE_EXACT:
     case M_PRE_ONLY:
-      /* we have a match */
+      /* We have a match */
       break;
     case M_PRE_EMPTY:
       if (caller) {
@@ -5210,7 +5245,7 @@ static bool delegate_command(struct connection *caller, char *arg,
          valid_args = delegate_args_next(valid_args)) {
       const char *name = delegate_args_name(valid_args);
 
-      if (name != NULL) {
+      if (name != nullptr) {
         cat_snprintf(buf, sizeof(buf), "'%s'", name);
         if (valid_args != delegate_args_max()) {
           cat_snprintf(buf, sizeof(buf), ", ");
@@ -5219,7 +5254,7 @@ static bool delegate_command(struct connection *caller, char *arg,
     }
 
     cmd_reply(CMD_DELEGATE, caller, C_SYNTAX,
-              /* TRANS: do not translate the command 'delegate'. */
+              /* TRANS: Do not translate the command 'delegate'. */
               _("Valid arguments for 'delegate' are: %s."), buf);
     ret =  FALSE;
     goto cleanup;
@@ -5228,7 +5263,7 @@ static bool delegate_command(struct connection *caller, char *arg,
   /* Get the data (player, username for delegation) and validate it. */
   switch (ind) {
   case DELEGATE_CANCEL:
-    /* delegate cancel [player] */
+    /* Delegate cancel [player] */
     if (ntokens > 1) {
       if (!caller || conn_get_access(caller) >= ALLOW_ADMIN) {
         player_specified = TRUE;
@@ -5257,7 +5292,7 @@ static bool delegate_command(struct connection *caller, char *arg,
     }
     break;
   case DELEGATE_RESTORE:
-    /* delegate restore */
+    /* Delegate restore */
     if (!caller) {
       cmd_reply(CMD_DELEGATE, caller, C_FAIL,
                 _("You can't switch players from the console."));
@@ -5266,7 +5301,7 @@ static bool delegate_command(struct connection *caller, char *arg,
     }
     break;
   case DELEGATE_SHOW:
-    /* delegate show [player] */
+    /* Delegate show [player] */
     if (ntokens > 1) {
       player_specified = TRUE;
       dplayer = player_by_name_prefix(tokens[1], &result);
@@ -5287,7 +5322,7 @@ static bool delegate_command(struct connection *caller, char *arg,
     }
     break;
   case DELEGATE_TAKE:
-    /* delegate take <player> */
+    /* Delegate take <player> */
     if (!caller) {
       cmd_reply(CMD_DELEGATE, caller, C_FAIL,
                 _("You can't switch players from the console."));
@@ -5321,7 +5356,7 @@ static bool delegate_command(struct connection *caller, char *arg,
 
   switch (ind) {
   case DELEGATE_TO:
-    /* delegate to <username> [player] */
+    /* Delegate to <username> [player] */
     if (ntokens > 1) {
       username = tokens[1];
     } else {
@@ -5340,12 +5375,12 @@ static bool delegate_command(struct connection *caller, char *arg,
       }
 #ifndef HAVE_FCDB
       if (caller && conn_get_access(caller) < ALLOW_ADMIN) {
-#else
+#else  /* HAVE_FCDB */
       if (caller && conn_get_access(caller) < ALLOW_ADMIN
           && !(srvarg.fcdb_enabled
                && script_fcdb_call("user_delegate_to", caller, dplayer,
                                    username, &ret) && ret)) {
-#endif
+#endif /* HAVE_FCDB */
         cmd_reply(CMD_DELEGATE, caller, C_SYNTAX,
                   _("Command level '%s' or greater or special permission "
                     "needed to modify others' delegations."),
@@ -5354,8 +5389,9 @@ static bool delegate_command(struct connection *caller, char *arg,
         break;
       }
     } else {
-      dplayer = conn_controls_player(caller) ? conn_get_player(caller) : NULL;
-      if (!dplayer) {
+      dplayer
+        = conn_controls_player(caller) ? conn_get_player(caller) : nullptr;
+      if (dplayer == nullptr) {
         cmd_reply(CMD_DELEGATE, caller, C_FAIL,
                   _("You do not control a player."));
         ret = FALSE;
@@ -5365,7 +5401,7 @@ static bool delegate_command(struct connection *caller, char *arg,
 
     /* Delegate control of player to another user. */
     fc_assert_ret_val(dplayer, FALSE);
-    fc_assert_ret_val(username != NULL, FALSE);
+    fc_assert_ret_val(username != nullptr, FALSE);
 
     /* Forbid delegation of players already controlled by a delegate, and
      * those 'put aside' by a delegate.
@@ -5378,7 +5414,7 @@ static bool delegate_command(struct connection *caller, char *arg,
      * they are attached to 'their' player. */
     if (player_delegation_active(dplayer)) {
       if (!player_delegation_get(dplayer)) {
-        /* Attempting to change a 'put aside' player. Must be admin 
+        /* Attempting to change a 'put aside' player. Must be admin
          * or console. */
         fc_assert(player_specified);
         cmd_reply(CMD_DELEGATE, caller, C_FAIL,
@@ -5426,7 +5462,7 @@ static bool delegate_command(struct connection *caller, char *arg,
       break;
     }
 
-    /* FIXME: if control was already delegated to someone else, that
+    /* FIXME: If control was already delegated to someone else, that
      * delegation is implicitly canceled. Perhaps we should tell someone. */
 
     player_delegation_set(dplayer, username);
@@ -5440,7 +5476,7 @@ static bool delegate_command(struct connection *caller, char *arg,
     /* Show delegations. */
     fc_assert_ret_val(dplayer, FALSE);
 
-    if (player_delegation_get(dplayer) == NULL) {
+    if (player_delegation_get(dplayer) == nullptr) {
       /* No delegation set. */
       cmd_reply(CMD_DELEGATE, caller, C_COMMENT,
                 _("No delegation defined for '%s'."),
@@ -5454,7 +5490,7 @@ static bool delegate_command(struct connection *caller, char *arg,
     break;
 
   case DELEGATE_CANCEL:
-    if (player_delegation_get(dplayer) == NULL) {
+    if (player_delegation_get(dplayer) == nullptr) {
       /* No delegation set. */
       cmd_reply(CMD_DELEGATE, caller, C_FAIL,
                 _("No delegation defined for '%s'."),
@@ -5466,11 +5502,12 @@ static bool delegate_command(struct connection *caller, char *arg,
     if (player_delegation_active(dplayer)) {
       /* Delegation is currently in use. Forcibly break connection. */
       struct connection *pdelegate;
+
       /* (Can only happen if admin/console issues this command, as owner
        * will end use by their mere presence.) */
       fc_assert(player_specified);
       pdelegate = conn_by_user(player_delegation_get(dplayer));
-      fc_assert_ret_val(pdelegate != NULL, FALSE);
+      fc_assert_ret_val(pdelegate != nullptr, FALSE);
       if (!connection_delegate_restore(pdelegate)) {
         /* Should never happen. Generic failure message. */
         log_error("Failed to restore %s's connection as %s during "
@@ -5481,12 +5518,12 @@ static bool delegate_command(struct connection *caller, char *arg,
         ret = FALSE;
         break;
       }
-      notify_conn(pdelegate->self, NULL, E_CONNECTION, ftc_server,
+      notify_conn(pdelegate->self, nullptr, E_CONNECTION, ftc_server,
                   _("Your delegated control of player '%s' was canceled."),
                   player_name(dplayer));
     }
 
-    player_delegation_set(dplayer, NULL);
+    player_delegation_set(dplayer, nullptr);
     cmd_reply(CMD_DELEGATE, caller, C_OK, _("Delegation of '%s' canceled."),
               player_name(dplayer));
     ret = TRUE;
